Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Protected Attributes | Private Member Functions | List of all members
ezpRestAuthConfiguration Class Reference

## Public Member Functions
| __construct (ezcMvcRoutingInformation $info, ezpRestRequest $req)
| setFilter (ezpRestAuthenticationStyle $filter)
| filter ()

## Protected Attributes
| $info = null
| $req = null
| $filter = null

## Private Member Functions
| shallAuthenticate ()

## Detailed Description

Class controlling authentication inside REST layer.

This class sets up the defaults for which routes require auth and which can be omitted. This class acts as a compatibility bridge between the REST- layer and the traditional Exponential permission configuration.

Definition at line 19 of file auth_configuration.php.

## Constructor & Destructor Documentation

## ◆ __construct()

ezpRestAuthConfiguration::__construct | ( | ezcMvcRoutingInformation | $info,
|  | ezpRestRequest | $req
| ) |  |

Definition at line 26 of file auth_configuration.php.

References $info, and $req.

## Member Function Documentation

## ◆ filter()

ezpRestAuthConfiguration::filter | ( |  | ) |

Definition at line 37 of file auth_configuration.php.

References $user, $userID, eZExtension\getHandlerClass(), and shallAuthenticate().

Referenced by setFilter().

## ◆ setFilter()

ezpRestAuthConfiguration::setFilter | ( | ezpRestAuthenticationStyle | $filter | ) |

Definition at line 32 of file auth_configuration.php.

References $filter, and filter().

## ◆ shallAuthenticate()

ezpRestAuthConfiguration::shallAuthenticate | ( |  | ) |
| private

Checks if authentication should be requested or not

Returns
  bool

Definition at line 96 of file auth_configuration.php.

References ezpRestRouteFilterInterface\getRouteFilter().

Referenced by filter().

## Member Data Documentation

## ◆ $filter

ezpRestAuthConfiguration::$filter = null
| protected

Definition at line 24 of file auth_configuration.php.

Referenced by setFilter().

## ◆ $info

ezpRestAuthConfiguration::$info = null
| protected

Definition at line 21 of file auth_configuration.php.

Referenced by __construct().

## ◆ $req

ezpRestAuthConfiguration::$req = null
| protected

Definition at line 22 of file auth_configuration.php.

Referenced by __construct().

The documentation for this class was generated from the following file:

- auth_configuration.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.